org.apache.lucene.queryparser.flexible.core.messages

## Class QueryParserMessages

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.messages.NLS
  - - org.apache.lucene.queryparser.flexible.core.messages.QueryParserMessages

    public class QueryParserMessages
    extends NLS

Flexible Query Parser message bundle class

### Field Summary

Fields
`static String` `COULD_NOT_PARSE_NUMBER`
`static String` `EMPTY_MESSAGE`
`static String` `INVALID_SYNTAX`
`static String` `INVALID_SYNTAX_CANNOT_PARSE`
`static String` `INVALID_SYNTAX_ESCAPE_CHARACTER`
`static String` `INVALID_SYNTAX_ESCAPE_NONE_HEX_UNICODE`
`static String` `INVALID_SYNTAX_ESCAPE_UNICODE_TRUNCATION`
`static String` `INVALID_SYNTAX_FUZZY_EDITS`
`static String` `INVALID_SYNTAX_FUZZY_LIMITS`
`static String` `LEADING_WILDCARD_NOT_ALLOWED`
`static String` `LUCENE_QUERY_CONVERSION_ERROR`
`static String` `NODE_ACTION_NOT_SUPPORTED`
`static String` `NUMBER_CLASS_NOT_SUPPORTED_BY_NUMERIC_RANGE_QUERY`
`static String` `NUMERIC_CANNOT_BE_EMPTY`
`static String` `PARAMETER_VALUE_NOT_SUPPORTED`
`static String` `TOO_MANY_BOOLEAN_CLAUSES`
`static String` `UNSUPPORTED_NUMERIC_DATA_TYPE`
`static String` `WILDCARD_NOT_SUPPORTED`

### Method Summary

### Methods inherited from class org.apache.lucene.queryparser.flexible.messages.NLS

`getLocalizedMessage, getLocalizedMessage, getLocalizedMessage, getLocalizedMessage, initializeMessages`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INVALID_SYNTAX

    public static String INVALID_SYNTAX

#### INVALID_SYNTAX_CANNOT_PARSE

    public static String INVALID_SYNTAX_CANNOT_PARSE

#### INVALID_SYNTAX_FUZZY_LIMITS

    public static String INVALID_SYNTAX_FUZZY_LIMITS

#### INVALID_SYNTAX_FUZZY_EDITS

    public static String INVALID_SYNTAX_FUZZY_EDITS

#### INVALID_SYNTAX_ESCAPE_UNICODE_TRUNCATION

    public static String INVALID_SYNTAX_ESCAPE_UNICODE_TRUNCATION

#### INVALID_SYNTAX_ESCAPE_CHARACTER

    public static String INVALID_SYNTAX_ESCAPE_CHARACTER

#### INVALID_SYNTAX_ESCAPE_NONE_HEX_UNICODE

    public static String INVALID_SYNTAX_ESCAPE_NONE_HEX_UNICODE

#### NODE_ACTION_NOT_SUPPORTED

    public static String NODE_ACTION_NOT_SUPPORTED

#### PARAMETER_VALUE_NOT_SUPPORTED

    public static String PARAMETER_VALUE_NOT_SUPPORTED

#### LUCENE_QUERY_CONVERSION_ERROR

    public static String LUCENE_QUERY_CONVERSION_ERROR

#### EMPTY_MESSAGE

    public static String EMPTY_MESSAGE

#### WILDCARD_NOT_SUPPORTED

    public static String WILDCARD_NOT_SUPPORTED

#### TOO_MANY_BOOLEAN_CLAUSES

    public static String TOO_MANY_BOOLEAN_CLAUSES

#### LEADING_WILDCARD_NOT_ALLOWED

    public static String LEADING_WILDCARD_NOT_ALLOWED

#### COULD_NOT_PARSE_NUMBER

    public static String COULD_NOT_PARSE_NUMBER

#### NUMBER_CLASS_NOT_SUPPORTED_BY_NUMERIC_RANGE_QUERY

    public static String NUMBER_CLASS_NOT_SUPPORTED_BY_NUMERIC_RANGE_QUERY

#### UNSUPPORTED_NUMERIC_DATA_TYPE

    public static String UNSUPPORTED_NUMERIC_DATA_TYPE

#### NUMERIC_CANNOT_BE_EMPTY

    public static String NUMERIC_CANNOT_BE_EMPTY